<odoo>
    <!-- Form view for sos_sfg_configuration -->
    <record id="view_sos_sfg_configuration_form" model="ir.ui.view">
        <field name="name">sos_sfg_configuration.form</field>
        <field name="model">sos_sfg_configuration</field>
        <field name="arch" type="xml">
            <form string="Testing Parameters">
                <sheet>
                    <group>
                        <field name="sfg_name"/>
                          </group>
                         <notebook>
                        <page string="Testing Parameters">
                        <field name="parameter_ids">
                            <tree string="Parameters"  editable="bottom">
                            <field name="sequence" widget="handle"/>
                                <field name="name"/>
                                <field name="observation"/>
                                <field name="obtained_observation"/>
                            </tree>
                        </field>
                        </page>
                        <page string="Defectives">
                        <field name="defective_ids">
                            <tree string="Defectives"  editable="bottom">
                            <field name="sequence" widget="handle"/>
                                <field name="name"/>
                        
                            </tree>
                        </field>
                        </page>
                
                        </notebook>
                  
                </sheet>
            </form>
        </field>
    </record>

    <!-- Tree view for sos_sfg_configuration -->
    <record id="view_sos_sfg_configuration_tree" model="ir.ui.view">
        <field name="name">sos_sfg_configuration.tree</field>
        <field name="model">sos_sfg_configuration</field>
        <field name="arch" type="xml">
            <tree string="Testing Parameters">
                <field name="sfg_name"/>
                <field name="parameter_ids"/>
                <field name="defective_ids"/>
                <field name="write_uid" string="Last Edited By" optional="hide"/>
                <field name="write_date" string="Last Edited On" optional="hide"/>
        </tree>
        </field>
    </record>

    <!-- Action to open sos_sfg_configuration -->
    <record id="action_sos_sfg_configuration" model="ir.actions.act_window">
        <field name="name">SFG Configurations</field>
        <field name="res_model">sos_sfg_configuration</field>
        <field name="view_mode">tree,form</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_create">
                Click "New" to create a SFG Testing Parameters.
            </p>
        </field>
    </record>

    <!-- Menu item to access sos_sfg_configuration -->
    <menuitem id="menu_sos_sfg_configuration"
              name="SFG Configurations"
              parent="settings_root_menu" action="action_sos_sfg_configuration" groups="sos_inventory.sos_qc_user,sos_inventory.sos_qa_user,sos_inventory.sos_management_user"/>
</odoo>